/*
 * BaseShapes.hpp
 *
 *  Created on: Jun 18, 2010
 *      Author: crueger
 */

#ifndef BASESHAPES_HPP_
#define BASESHAPES_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include "Shapes/Shape.hpp"

Shape Cylinder();
Shape Cylinder(const Vector &center, const double xrot, const double yrot,
        const double height, const double radius);
Shape Sphere();
Shape Sphere(const Vector &center,double radius);
Shape Ellipsoid(const Vector &center, const Vector &radius);
Shape Cuboid();
Shape Cuboid(const Vector &corner1, const Vector &corner2);

#endif /* BASESHAPES_HPP_ */
